<?php
$GLOBALS["__65da1b1ec2d6653e8a0ab7848e53" . "6215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0a" . "b7848e536215"] ?: array()) + array("_c06c961f393742ecfd" . "52b72263ac9470" => base64_decode("aW50" . "dmFs"), "_19d1237a619f7b35ad6dbeb" . "f025f17c8" => base64_decode("c3R" . "yY2" . "1w"), "_6edacb78bd55c5015af27c8ac1" . "fcd9af" => base64_decode("bWV0aG9kX2" . "V4aXN0cw=="), "_4d707fab93be" . "bb00bbe69e815" . "9697c90" => base64_decode(""), "_7eacce07e2449116f62c946471" . "0c37f7" => base64_decode("cmV" . "zZX" . "Q="), "_aed8da0f19091214b7" . "8f80351048517c" => base64_decode("c3Ry" . "bGVu"), "_80453d7bea0ddc48afe3e3c89e0b8a" . "ec" => base64_decode("Tm9uLWV4aXN0aW5nIHZhbGlk" . "YXRpb24gbWV0aG9kICc="), "_e608e5b5c4c34a67ba9" . "7ef84c1e16199" => base64_decode("Jw=" . "="));
use Psr\Http\Message\ServerRequestInterface;





abstract class FFControlBaseIsolated extends ErrorHandler implements FFControlIsolated
{
    var $was_changed = false;
    public $parameters = array();
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    protected function ExchangeValues(&$data, ServerRequestInterface $request, $name, $default = null, $validate_method = null)
    {
        if (\Claromentis\Core\Http\gpc::getvar($request, $GLOBALS["__65da1b1ec2d6" . "653e8a0ab7848e" . "536215"]["_7eacce07e244911" . "6f62c9464710c37f" . "7"]) != $GLOBALS["__65da1b1ec2" . "d6653e8a0ab7" . "848e536215"]["_4d707fab93bebb00bbe69e8" . "159697c90"]) {
            $data = null;
        } else {
            $value = \Claromentis\Core\Http\gpc::getvar($request, $name);
        }
        if (!isset($value)) {
            $value = isset($data[$name]) ? $data[$name] : null;
        } else {
            if (isset($data[$name]) && $data[$name] != $value) {
                $this->was_changed = true;
            }
            $data[$name] = $value;
        }
        if ($validate_method) {
            if ($GLOBALS["__65da1b1ec2d6653e8a0ab7848e5362" . "15"]["_6edacb78b" . "d55c5015af" . "27c8ac1fcd" . "9af"]($this, $validate_method)) {
                if (!$this->{$validate_method}($value) && $this->{$validate_method}($default)) {
                    $value = $default;
                }
            } else {
                $this->SetErrMsg($GLOBALS["__65da1b1ec2d6653e" . "8a0ab7848e536215"]["_80453d7be" . "a0ddc48afe" . "3e3c89e0b8" . "aec"] . $validate_method . $GLOBALS["__65da1b1ec2d6653e8a0ab" . "7848e536215"]["_e608e5b5c4c34a67ba97ef84c1e1619" . "9"]);
            }
        }
        return $value;
    }
    
    
    
    
    
    
    
    
    protected function Validate($value)
    {
        return isset($value);
    }
    
    
    
    
    
    
    
    
    protected function ValidateInteger($value)
    {
        return !!$GLOBALS["__65da1b1ec2d665" . "3e8a0ab7848e5362" . "15"]["_aed8da0f190" . "91214b78f803" . "51048517c"]($value) && !$GLOBALS["__65da1b1ec2d6653e8a0a" . "b7848e536215"]["_19d1237a619f7b35ad6dbeb" . "f025f17c8"]($GLOBALS["__65da1b1ec2d6653e8a0ab7848" . "e536215"]["_c06c961f" . "393742ecf" . "d52b72263" . "ac9470"]($value), $value);
    }
    
    
    
    
    
    
    
    
    protected function ValidateString($value)
    {
        return !!$GLOBALS["__65da1b1ec2d6653e8a0" . "ab7848e536215"]["_aed8da0f190" . "91214b78f803" . "51048517c"]($value);
    }
}